
Figure - Bug #117494
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】左手模式下打开小窗应用，进入recent,进程卡片无法补齐
2023-04-14 14:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version: 2023-04-21

Test Type: ST Root cause: 编码问题

Description

【前置条件】

后台有应用进程

【测试步骤】

1.recent中打开音乐小窗

2、进入recent

【预期结果】

2、小窗卡片出现在正确的位置，空白卡片自动补齐

【实际结果】

2、进程卡片无法补齐

Related issues:

Related to Figure - Bug # 117532: 【AF】【EVT】【任务管理器】概率出现，后台... CLOSED 2023-04-17

History

#1 - 2023-04-14 18:24 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2023-04-19 14:24 - CD APP-王宏

- File bugreport-figure_CN-SKQ1.220201.001-2023-04-11-11-56-33.zip added

复现一次

#3 - 2023-04-19 16:14 - CD APP-王宏

【复现步骤】

1.清空recent,返回桌面

2、打开一个小窗

3.打开一个全屏应用

4.进入recnet

5.反复操作
#4 - 2023-04-19 19:59 - CD APP-王宏

- % Done changed from 0 to 20

■ Current conclusion

分析中

■ My analysis

目前已知是自定义控件中的滚动范围变化导致bug产生，child数目是够的，但是没有展示在对的位置

■ Next action

继续跟踪排查，找出bug产生的原因

#5 - 2023-04-20 17:38 - CD APP-王宏

- % Done changed from 20 to 50

■ Current conclusion

已提交

■ My analysis

根据分析是

    protected boolean getPageScrolls(int[] outPageScrolls, boolean layoutChildren,

            ComputePageScrollsLogic scrollLogic)

scrollLogic中的逻辑返回了false,导致没有获取到正确的PageScroll，

导致绘制的View 出现在了别的位置，比如重叠，比如屏幕之外,

解决方案是在进入recent之前的showRunningTask中注释掉不必须要的addView(),layout()

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/194980

#6 - 2023-04-20 19:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194980 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:taskView display exception1.issue 117494 The recent card cannot be completed2.issue 117532 Background running programs show

overlappingTC-RID: 0301-0205302IssueID: TS-R-BUG-117494Change-Id: I56abbc57e13dadd98296fd6724f441e06f5ab4ab

#7 - 2023-04-20 19:25 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-21

- Root cause set to 编码问题

#8 - 2023-04-21 13:54 - CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/194980


- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

4.21

验证通过

#9 - 2023-04-21 13:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-04-14 14-34-00.mp4 9.5 MB 2023-04-14 CD TEST-方永红

4141433.txt 5.63 MB 2023-04-14 CD TEST-方永红

bugreport-figure_CN-SKQ1.220201.001-2023-04-11-11-56-33.zip 6.52 MB 2023-04-19 CD APP-王宏
